<div>
<nav class="nav">
  <div class="nav-left">
    <a class="nav-item is-brand" href="#">
      CheapFlight
    </a>
  </div>

  <div class="nav-center">
  </div>

  <span class="nav-toggle">
    <span></span>
    <span></span>
    <span></span>
  </span>

  <div class="nav-right nav-menu"></div>
</nav>
  <section>
    <!-- TODO: Add your code here -->
    <a ui-sref="cheapestflight">cheapestflight</a>
    <ui-view></ui-view>
    <pre class="box">
<strong>
  Tasks
</strong>

Build a small web app that will find the cheapest flights around Europe.
The webapp needs to have at least the following components:

<strong>
  Styling
</strong>

Apply a styleguide following the Ryanair branding ( colors )

<strong>
  Components
</strong>

<strong>
  AirportSelector
</strong>

An airport selector which will display the list of airports and allow the user
to select an aiport.

Keep in mind that origin is different from destination but the component needs to
be reusable for both scenarios.

The component needs to be a custom select with autocomplete support.

<strong>
  Flight List
</strong>

A component that will show all the information relative to the flights between the
origin and destination selected.


Extra points will be given for:

* Styling
* OneWay Dataflow
* Mobile first design
* No third party libraries

<strong>
  Services
</strong>

In order to get the list of IATA codes ( airport codes )  with the relative destinations
the webapp will get those information from the following API:

```
https://murmuring-ocean-10826.herokuapp.com/en/api/2/forms/flight-booking-selector/
```

Instead to get the list of cheap flights:

```
  https://murmuring-ocean-10826.herokuapp.com/en/api/2/flights/from/DUB/to/STN/2014-12-02/2015-02-02/250/unique/?limit=15&offset-0
```

where DUBis the originating IATA code, STNis the destination IATA code,
the first date range is the start of the period, and the second is the end.

<strong>
  Routing
</strong>

The flight list page needs to be a child route of the home page, the search widget
needs to be accessibile even after a search

The flight list page needs to be deep linked, so i can share the URL and access
directly the flights that i'm looking for.

<strong>
  Refactor
</strong>

The `DateWrapper` and `DateSelector` component is not using a one-way dataflow approach
refactor the component using that dataflow avoiding two way binding
between the two

<strong>
  Unit Testing ( not mandatory )
</strong>

Extra points will be given for unit testing all the functionality written.
    </pre>
    <date-wrapper
      start-date="$ctrl.startDate"
      end-date="$ctrl.endDate">
    </date-wrapper>
  </section>
</div>
